Std Gruppo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Group and the translation is 41% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Std Part.svg Parte Pagina precedente:
Pagina successiva: Corpo PartDesign Body.svg Arrow-right.svg

Std Group.svg Crea Gruppo

Nome nel codice
Std_Group
Posizione nel menu
Vista ad albero → Cliccare col destro sul nome del documento → Crea gruppo
Ambiente
Tutti
Avvio veloce
Introdotto nella versione
Vedere anche
Std Part, Seleziona gruppo, Aggiungi al gruppo


Descrizione

Un Std Group (chiamato internamente App DocumentObjectGroup) è un contenitore per scopi generici che consente di raggruppare diversi tipi di oggetti nella vista ad albero, indipendentemente dal tipo di dati. È usato come una semplice cartella per classificare e organizzare gli oggetti nel modello, al fine di mantenere una struttura logica. I gruppi standard possono essere nidificati all'interno di altri gruppi standard.

Lo strumento Gruppo standard non è definito da un particolare ambiente di lavoro, ma dal sistema base; di conseguenza lo si ritrova nella barra degli strumenti struttura, che è disponibile in tutti gli ambienti di lavoro.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Std Group example.png

Vari elementi all'interno di Std Group nella vista ad albero.


Utilizzo

  1. Fare clic sul nome del documento nella vista ad albero, aprire il menu di scelta rapida (clic con il tasto destro) e scegliere Crea gruppo.
  2. In alternativa premere il pulsante Std Group.svg Gruppo nella barra degli strumenti della struttura. Viene creato un gruppo vuoto.
  3. Per aggiungere degli oggetti a un gruppo, selezionarli nella vista ad albero, quindi trascinarli e rilasciarli sul gruppo.
  4. Per rimuovere degli oggetti da un gruppo, trascinarli fuori dal gruppo, sull'etichetta del documento nella parte superiore della vista ad albero.

Note

  • The Group object does not affect the positions in the 3D view of the elements that it contains; it is essentially just a folder that is used to keep the tree view organized.
  • The Group can also be created from the Python console, and sub-classed to create special "groups", as indicated in the Scripting section.

Proprietà

A Std Group is internally called App DocumentObjectGroup (App::DocumentObjectGroup class), and is derived from the basic App DocumentObject (App::DocumentObject class), therefore it shares all the latter's properties.

In addition to the properties described in App FeaturePython, which is the most basic instance of an App DocumentObject, the App DocumentObjectGroup has the DataGroup property.

These are the properties available in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Base

  • DataLabel (String): il nome modificabile dall'utente di questo oggetto, è una stringa UTF8 arbitraria.
  • DataGroup (LinkList): un elenco di oggetti referenziati. Di default, è vuoto [].

Hidden properties Data

  • DataProxy (PythonObject): a custom class associated with this object. This only exists for the Python version. See Scripting.

View

Base

See App FeaturePython for the basic view properties.

Hidden properties View

  • ViewProxy (PythonObject): a custom view provider class associated with this object. This only exists for the Python version. See Scripting.

Inheritance

A Std Group is formally an instance of the class App::DocumentObjectGroup, whose parent is the basic App DocumentObject (App::DocumentObject class), and is augmented with a Group extension.

FreeCAD core objects.svg

Simplified diagram of the relationships between the core objects in the program. The App::DocumentObjectGroup class is a simple container which uses the Group extension to be able to hold any type of object.


Script

Vedere anche: Script di base per FreeCAD, e script di oggetti.

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods of this Group.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")

obj.addObjects([bod1, bod2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

Therefore, for Python subclassing, you should create the App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Link


Arrow-left.svg Std Part.svg Parte Pagina precedente:
Pagina successiva: Corpo PartDesign Body.svg Arrow-right.svg